
declare @guipadre as int
set @guipadre=( select top 1 id  from gui_funcionalidad where id_tipoFuncionalidad=3 and url='/forms/equ/equ_alquiler.aspx'and active=1 )
declare @gui as int
set @gui=(select  id  from gui_funcionalidad where urlImagen='equ_generarPagos.jpg' and active =1 and  id_tipofuncionalidad=2 and  id_funcionalidad=@guipadre )
if @gui <>'' 
begin 
update gui_funcionalidad set url='/forms/equ/detalleAlquiler.aspx', targetUrl='_blank', nombreControl='' ,nombreComando='facturar' where id=@gui
end
else
begin
insert into gui_funcionalidad (funcionalidad,url,targetUrl,esMenu,id_tipofuncionalidad,id_funcionalidad)values('Facturar','/forms/equ/detalleAlquiler.aspx', '_blank',0,2,@guipadre)
end